// Copyright: Ankitects Pty Ltd and contributors
// License: GNU AGPL, version 3 or later; http://www.gnu.org/licenses/agpl.html

import Alert_ from "@mdi/svg/svg/alert.svg?component";
import alert_ from "@mdi/svg/svg/alert.svg?url";
import AlignHorizontalCenter_ from "@mdi/svg/svg/align-horizontal-center.svg?component";
import alignHorizontalCenter_ from "@mdi/svg/svg/align-horizontal-center.svg?url";
import AlignHorizontalLeft_ from "@mdi/svg/svg/align-horizontal-left.svg?component";
import alignHorizontalLeft_ from "@mdi/svg/svg/align-horizontal-left.svg?url";
import AlignHorizontalRight_ from "@mdi/svg/svg/align-horizontal-right.svg?component";
import alignHorizontalRight_ from "@mdi/svg/svg/align-horizontal-right.svg?url";
import AlignVerticalBottom_ from "@mdi/svg/svg/align-vertical-bottom.svg?component";
import alignVerticalBottom_ from "@mdi/svg/svg/align-vertical-bottom.svg?url";
import AlignVerticalCenter_ from "@mdi/svg/svg/align-vertical-center.svg?component";
import alignVerticalCenter_ from "@mdi/svg/svg/align-vertical-center.svg?url";
import AlignVerticalTop_ from "@mdi/svg/svg/align-vertical-top.svg?component";
import alignVerticalTop_ from "@mdi/svg/svg/align-vertical-top.svg?url";
import CheckCircle_ from "@mdi/svg/svg/check-circle.svg?component";
import checkCircle_ from "@mdi/svg/svg/check-circle.svg?url";
import ChevronDown_ from "@mdi/svg/svg/chevron-down.svg?component";
import chevronDown_ from "@mdi/svg/svg/chevron-down.svg?url";
import ChevronUp_ from "@mdi/svg/svg/chevron-up.svg?component";
import chevronUp_ from "@mdi/svg/svg/chevron-up.svg?url";
import CloseBox_ from "@mdi/svg/svg/close-box.svg?component";
import closeBox_ from "@mdi/svg/svg/close-box.svg?url";
import Close_ from "@mdi/svg/svg/close.svg?component";
import close_ from "@mdi/svg/svg/close.svg?url";
import CodeTags_ from "@mdi/svg/svg/code-tags.svg?component";
import PlainText_ from "@mdi/svg/svg/code-tags.svg?component";
import codeTags_ from "@mdi/svg/svg/code-tags.svg?url";
import plainText_ from "@mdi/svg/svg/code-tags.svg?url";
import Cog_ from "@mdi/svg/svg/cog.svg?component";
import cog_ from "@mdi/svg/svg/cog.svg?url";
import ColorHelper_ from "@mdi/svg/svg/color-helper.svg?component";
import colorHelper_ from "@mdi/svg/svg/color-helper.svg?url";
import Cloze_ from "@mdi/svg/svg/contain.svg?component";
import cloze_ from "@mdi/svg/svg/contain.svg?url";
import Copy_ from "@mdi/svg/svg/content-copy.svg?component";
import copy_ from "@mdi/svg/svg/content-copy.svg?url";
import CursorDefaultOutline_ from "@mdi/svg/svg/cursor-default-outline.svg?component";
import cursorDefaultOutline_ from "@mdi/svg/svg/cursor-default-outline.svg?url";
import DeleteOutline_ from "@mdi/svg/svg/delete-outline.svg?component";
import deleteOutline_ from "@mdi/svg/svg/delete-outline.svg?url";
import Delete_ from "@mdi/svg/svg/delete.svg?component";
import delete_ from "@mdi/svg/svg/delete.svg?url";
import Dots_ from "@mdi/svg/svg/dots-vertical.svg?component";
import dots_ from "@mdi/svg/svg/dots-vertical.svg?url";
import HorizontalHandle_ from "@mdi/svg/svg/drag-horizontal.svg?component";
import horizontalHandle_ from "@mdi/svg/svg/drag-horizontal.svg?url";
import VerticalHandle_ from "@mdi/svg/svg/drag-vertical.svg?component";
import verticalHandle_ from "@mdi/svg/svg/drag-vertical.svg?url";
import Earth_ from "@mdi/svg/svg/earth.svg?component";
import earth_ from "@mdi/svg/svg/earth.svg?url";
import EllipseOutline_ from "@mdi/svg/svg/ellipse-outline.svg?component";
import ellipseOutline_ from "@mdi/svg/svg/ellipse-outline.svg?url";
import Eye_ from "@mdi/svg/svg/eye.svg?component";
import eye_ from "@mdi/svg/svg/eye.svg?url";
import FormatAlignCenter_ from "@mdi/svg/svg/format-align-center.svg?component";
import formatAlignCenter_ from "@mdi/svg/svg/format-align-center.svg?url";
import FormatBold_ from "@mdi/svg/svg/format-bold.svg?component";
import formatBold_ from "@mdi/svg/svg/format-bold.svg?url";
import FormatColorFill_ from "@mdi/svg/svg/format-color-fill.svg?component";
import formatColorFill_ from "@mdi/svg/svg/format-color-fill.svg?url";
import HighlightColor_ from "@mdi/svg/svg/format-color-highlight.svg?component";
import highlightColor_ from "@mdi/svg/svg/format-color-highlight.svg?url";
import TextColor_ from "@mdi/svg/svg/format-color-text.svg?component";
import textColor_ from "@mdi/svg/svg/format-color-text.svg?url";
import FloatLeft_ from "@mdi/svg/svg/format-float-left.svg?component";
import floatLeft_ from "@mdi/svg/svg/format-float-left.svg?url";
import FloatNone_ from "@mdi/svg/svg/format-float-none.svg?component";
import floatNone_ from "@mdi/svg/svg/format-float-none.svg?url";
import FloatRight_ from "@mdi/svg/svg/format-float-right.svg?component";
import floatRight_ from "@mdi/svg/svg/format-float-right.svg?url";
import RichText_ from "@mdi/svg/svg/format-font.svg?component";
import richText_ from "@mdi/svg/svg/format-font.svg?url";
import FormatItalic_ from "@mdi/svg/svg/format-italic.svg?component";
import formatItalic_ from "@mdi/svg/svg/format-italic.svg?url";
import Subscript_ from "@mdi/svg/svg/format-subscript.svg?component";
import subscript_ from "@mdi/svg/svg/format-subscript.svg?url";
import Superscript_ from "@mdi/svg/svg/format-superscript.svg?component";
import superscript_ from "@mdi/svg/svg/format-superscript.svg?url";
import FormatUnderline_ from "@mdi/svg/svg/format-underline.svg?component";
import formatUnderline_ from "@mdi/svg/svg/format-underline.svg?url";
import Inline_ from "@mdi/svg/svg/format-wrap-square.svg?component";
import inline_ from "@mdi/svg/svg/format-wrap-square.svg?url";
import Block_ from "@mdi/svg/svg/format-wrap-top-bottom.svg?component";
import block_ from "@mdi/svg/svg/format-wrap-top-bottom.svg?url";
import Function_ from "@mdi/svg/svg/function-variant.svg?component";
import function_ from "@mdi/svg/svg/function-variant.svg?url";
import Group_ from "@mdi/svg/svg/group.svg?component";
import group_ from "@mdi/svg/svg/group.svg?url";
import InfoCircle_ from "@mdi/svg/svg/help-circle.svg?component";
import infoCircle_ from "@mdi/svg/svg/help-circle.svg?url";
import SizeClear_ from "@mdi/svg/svg/image-remove.svg?component";
import sizeClear_ from "@mdi/svg/svg/image-remove.svg?url";
import SizeActual_ from "@mdi/svg/svg/image-size-select-actual.svg?component";
import sizeActual_ from "@mdi/svg/svg/image-size-select-actual.svg?url";
import SizeMinimized_ from "@mdi/svg/svg/image-size-select-large.svg?component";
import sizeMinimized_ from "@mdi/svg/svg/image-size-select-large.svg?url";
import ZoomReset_ from "@mdi/svg/svg/magnify-expand.svg?component";
import zoomReset_ from "@mdi/svg/svg/magnify-expand.svg?url";
import ZoomOut_ from "@mdi/svg/svg/magnify-minus-outline.svg?component";
import zoomOut_ from "@mdi/svg/svg/magnify-minus-outline.svg?url";
import ZoomIn_ from "@mdi/svg/svg/magnify-plus-outline.svg?component";
import zoomIn_ from "@mdi/svg/svg/magnify-plus-outline.svg?url";
import MagnifyScan_ from "@mdi/svg/svg/magnify-scan.svg?component";
import magnifyScan_ from "@mdi/svg/svg/magnify-scan.svg?url";
import Magnify_ from "@mdi/svg/svg/magnify.svg?component";
import magnify_ from "@mdi/svg/svg/magnify.svg?url";
import Math_ from "@mdi/svg/svg/math-integral-box.svg?component";
import math_ from "@mdi/svg/svg/math-integral-box.svg?url";
import NewBox_ from "@mdi/svg/svg/new-box.svg?component";
import newBox_ from "@mdi/svg/svg/new-box.svg?url";
import Paperclip_ from "@mdi/svg/svg/paperclip.svg?component";
import paperclip_ from "@mdi/svg/svg/paperclip.svg?url";
import RectangleOutline_ from "@mdi/svg/svg/rectangle-outline.svg?component";
import rectangleOutline_ from "@mdi/svg/svg/rectangle-outline.svg?url";
import Redo_ from "@mdi/svg/svg/redo.svg?component";
import redo_ from "@mdi/svg/svg/redo.svg?url";
import Refresh_ from "@mdi/svg/svg/refresh.svg?component";
import refresh_ from "@mdi/svg/svg/refresh.svg?url";
import SelectAll_ from "@mdi/svg/svg/select-all.svg?component";
import selectAll_ from "@mdi/svg/svg/select-all.svg?url";
import Square_ from "@mdi/svg/svg/square.svg?component";
import square_ from "@mdi/svg/svg/square.svg?url";
import TableRefresh_ from "@mdi/svg/svg/table-refresh.svg?component";
import tableRefresh_ from "@mdi/svg/svg/table-refresh.svg?url";
import Tag_ from "@mdi/svg/svg/tag-outline.svg?component";
import tag_ from "@mdi/svg/svg/tag-outline.svg?url";
import AddTag_ from "@mdi/svg/svg/tag-plus-outline.svg?component";
import addTag_ from "@mdi/svg/svg/tag-plus-outline.svg?url";
import TextBox_ from "@mdi/svg/svg/text-box.svg?component";
import textBox_ from "@mdi/svg/svg/text-box.svg?url";
import Undo_ from "@mdi/svg/svg/undo.svg?component";
import undo_ from "@mdi/svg/svg/undo.svg?url";
import UnfoldMoreHorizontal_ from "@mdi/svg/svg/unfold-more-horizontal.svg?component";
import unfoldMoreHorizontal_ from "@mdi/svg/svg/unfold-more-horizontal.svg?url";
import Ungroup_ from "@mdi/svg/svg/ungroup.svg?component";
import ungroup_ from "@mdi/svg/svg/ungroup.svg?url";
import Update_ from "@mdi/svg/svg/update.svg?component";
import update_ from "@mdi/svg/svg/update.svg?url";
import VectorPolygonVariant_ from "@mdi/svg/svg/vector-polygon-variant.svg?component";
import vectorPolygonVariant_ from "@mdi/svg/svg/vector-polygon-variant.svg?url";
import ViewDashboard_ from "@mdi/svg/svg/view-dashboard.svg?component";
import viewDashboard_ from "@mdi/svg/svg/view-dashboard.svg?url";
import Revert_ from "bootstrap-icons/icons/arrow-counterclockwise.svg?component";
import revert_ from "bootstrap-icons/icons/arrow-counterclockwise.svg?url";
import ArrowLeft_ from "bootstrap-icons/icons/arrow-left.svg?component";
import arrowLeft_ from "bootstrap-icons/icons/arrow-left.svg?url";
import ArrowRight_ from "bootstrap-icons/icons/arrow-right.svg?component";
import arrowRight_ from "bootstrap-icons/icons/arrow-right.svg?url";
import Minus_ from "bootstrap-icons/icons/dash-lg.svg?component";
import minus_ from "bootstrap-icons/icons/dash-lg.svg?url";
import Eraser_ from "bootstrap-icons/icons/eraser.svg?component";
import eraser_ from "bootstrap-icons/icons/eraser.svg?url";
import Exclamation_ from "bootstrap-icons/icons/exclamation-circle.svg?component";
import exclamation_ from "bootstrap-icons/icons/exclamation-circle.svg?url";
import JustifyFull_ from "bootstrap-icons/icons/justify.svg?component";
import justifyFull_ from "bootstrap-icons/icons/justify.svg?url";
import Ol_ from "bootstrap-icons/icons/list-ol.svg?component";
import ol_ from "bootstrap-icons/icons/list-ol.svg?url";
import Ul_ from "bootstrap-icons/icons/list-ul.svg?component";
import ul_ from "bootstrap-icons/icons/list-ul.svg?url";
import Mic_ from "bootstrap-icons/icons/mic.svg?component";
import mic_ from "bootstrap-icons/icons/mic.svg?url";
import Plus_ from "bootstrap-icons/icons/plus-lg.svg?component";
import plus_ from "bootstrap-icons/icons/plus-lg.svg?url";
import JustifyCenter_ from "bootstrap-icons/icons/text-center.svg?component";
import justifyCenter_ from "bootstrap-icons/icons/text-center.svg?url";
import Indent_ from "bootstrap-icons/icons/text-indent-left.svg?component";
import indent_ from "bootstrap-icons/icons/text-indent-left.svg?url";
import Outdent_ from "bootstrap-icons/icons/text-indent-right.svg?component";
import outdent_ from "bootstrap-icons/icons/text-indent-right.svg?url";
import JustifyLeft_ from "bootstrap-icons/icons/text-left.svg?component";
import justifyLeft_ from "bootstrap-icons/icons/text-left.svg?url";
import ListOptions_ from "bootstrap-icons/icons/text-paragraph.svg?component";
import listOptions_ from "bootstrap-icons/icons/text-paragraph.svg?url";
import JustifyRight_ from "bootstrap-icons/icons/text-right.svg?component";
import justifyRight_ from "bootstrap-icons/icons/text-right.svg?url";
import Bold_ from "bootstrap-icons/icons/type-bold.svg?component";
import bold_ from "bootstrap-icons/icons/type-bold.svg?url";
import Italic_ from "bootstrap-icons/icons/type-italic.svg?component";
import italic_ from "bootstrap-icons/icons/type-italic.svg?url";
import Underline_ from "bootstrap-icons/icons/type-underline.svg?component";
import underline_ from "bootstrap-icons/icons/type-underline.svg?url";

import IncrementCloze_ from "../../icons/contain-plus.svg?component";
import incrementCloze_ from "../../icons/contain-plus.svg?url";
import StickyHollow_ from "../../icons/sticky-pin-hollow.svg?component";
import stickyHollow_ from "../../icons/sticky-pin-hollow.svg?url";
import StickySolid_ from "../../icons/sticky-pin-solid.svg?component";
import stickySolid_ from "../../icons/sticky-pin-solid.svg?url";

export const checkCircle = { url: checkCircle_, component: CheckCircle_ };
export const chevronDown = { url: chevronDown_, component: ChevronDown_ };
export const chevronUp = { url: chevronUp_, component: ChevronUp_ };
export const closeBox = { url: closeBox_, component: CloseBox_ };
export const dotsIcon = { url: dots_, component: Dots_ };
export const horizontalHandle = { url: horizontalHandle_, component: HorizontalHandle_ };
export const verticalHandle = { url: verticalHandle_, component: VerticalHandle_ };
export const infoCircle = { url: infoCircle_, component: InfoCircle_ };
export const magnifyIcon = { url: magnify_, component: Magnify_ };
export const newBox = { url: newBox_, component: NewBox_ };
export const tagIcon = { url: tag_, component: Tag_ };
export const addTagIcon = { url: addTag_, component: AddTag_ };
export const updateIcon = { url: update_, component: Update_ };
export const revertIcon = { url: revert_, component: Revert_ };
export const arrowLeftIcon = { url: arrowLeft_, component: ArrowLeft_ };
export const arrowRightIcon = { url: arrowRight_, component: ArrowRight_ };
export const minusIcon = { url: minus_, component: Minus_ };
export const exclamationIcon = { url: exclamation_, component: Exclamation_ };
export const plusIcon = { url: plus_, component: Plus_ };
export const alertIcon = { url: alert_, component: Alert_ };
export const plainTextIcon = { url: plainText_, component: PlainText_ };
export const clozeIcon = { url: cloze_, component: Cloze_ };
export const richTextIcon = { url: richText_, component: RichText_ };
export const stickyIconHollow = { url: stickyHollow_, component: StickyHollow_ };
export const stickyIconSolid = { url: stickySolid_, component: StickySolid_ };
export const mathIcon = { url: math_, component: Math_ };
export const floatLeftIcon = { url: floatLeft_, component: FloatLeft_ };
export const floatNoneIcon = { url: floatNone_, component: FloatNone_ };
export const floatRightIcon = { url: floatRight_, component: FloatRight_ };
export const sizeClear = { url: sizeClear_, component: SizeClear_ };
export const sizeActual = { url: sizeActual_, component: SizeActual_ };
export const sizeMinimized = { url: sizeMinimized_, component: SizeMinimized_ };
export const cogIcon = { url: cog_, component: Cog_ };
export const colorHelperIcon = { url: colorHelper_, component: ColorHelper_ };
export const highlightColorIcon = { url: highlightColor_, component: HighlightColor_ };
export const textColorIcon = { url: textColor_, component: TextColor_ };
export const subscriptIcon = { url: subscript_, component: Subscript_ };
export const superscriptIcon = { url: superscript_, component: Superscript_ };
export const functionIcon = { url: function_, component: Function_ };
export const paperclipIcon = { url: paperclip_, component: Paperclip_ };
export const mdiRefresh = { url: refresh_, component: Refresh_ };
export const mdiTableRefresh = { url: tableRefresh_, component: TableRefresh_ };
export const mdiViewDashboard = { url: viewDashboard_, component: ViewDashboard_ };
export const eraserIcon = { url: eraser_, component: Eraser_ };
export const justifyFullIcon = { url: justifyFull_, component: JustifyFull_ };
export const olIcon = { url: ol_, component: Ol_ };
export const ulIcon = { url: ul_, component: Ul_ };
export const micIcon = { url: mic_, component: Mic_ };
export const justifyCenterIcon = { url: justifyCenter_, component: JustifyCenter_ };
export const indentIcon = { url: indent_, component: Indent_ };
export const outdentIcon = { url: outdent_, component: Outdent_ };
export const justifyLeftIcon = { url: justifyLeft_, component: JustifyLeft_ };
export const listOptionsIcon = { url: listOptions_, component: ListOptions_ };
export const justifyRightIcon = { url: justifyRight_, component: JustifyRight_ };
export const boldIcon = { url: bold_, component: Bold_ };
export const italicIcon = { url: italic_, component: Italic_ };
export const underlineIcon = { url: underline_, component: Underline_ };
export const deleteIcon = { url: delete_, component: Delete_ };
export const inlineIcon = { url: inline_, component: Inline_ };
export const blockIcon = { url: block_, component: Block_ };
export const mdiAlignHorizontalCenter = { url: alignHorizontalCenter_, component: AlignHorizontalCenter_ };
export const mdiAlignHorizontalLeft = { url: alignHorizontalLeft_, component: AlignHorizontalLeft_ };
export const mdiAlignHorizontalRight = { url: alignHorizontalRight_, component: AlignHorizontalRight_ };
export const mdiAlignVerticalBottom = { url: alignVerticalBottom_, component: AlignVerticalBottom_ };
export const mdiAlignVerticalCenter = { url: alignVerticalCenter_, component: AlignVerticalCenter_ };
export const mdiAlignVerticalTop = { url: alignVerticalTop_, component: AlignVerticalTop_ };
export const mdiClose = { url: close_, component: Close_ };
export const mdiCodeTags = { url: codeTags_, component: CodeTags_ };
export const mdiCopy = { url: copy_, component: Copy_ };
export const mdiCursorDefaultOutline = { url: cursorDefaultOutline_, component: CursorDefaultOutline_ };
export const mdiDeleteOutline = { url: deleteOutline_, component: DeleteOutline_ };
export const mdiEllipseOutline = { url: ellipseOutline_, component: EllipseOutline_ };
export const mdiEye = { url: eye_, component: Eye_ };
export const mdiFormatAlignCenter = { url: formatAlignCenter_, component: FormatAlignCenter_ };
export const mdiFormatBold = { url: formatBold_, component: FormatBold_ };
export const mdiFormatColorFill = { url: formatColorFill_, component: FormatColorFill_ };
export const mdiFormatItalic = { url: formatItalic_, component: FormatItalic_ };
export const mdiFormatUnderline = { url: formatUnderline_, component: FormatUnderline_ };
export const mdiGroup = { url: group_, component: Group_ };
export const mdiZoomReset = { url: zoomReset_, component: ZoomReset_ };
export const mdiZoomOut = { url: zoomOut_, component: ZoomOut_ };
export const mdiZoomIn = { url: zoomIn_, component: ZoomIn_ };
export const mdiMagnifyScan = { url: magnifyScan_, component: MagnifyScan_ };
export const mdiRectangleOutline = { url: rectangleOutline_, component: RectangleOutline_ };
export const mdiRedo = { url: redo_, component: Redo_ };
export const mdiSelectAll = { url: selectAll_, component: SelectAll_ };
export const mdiSquare = { url: square_, component: Square_ };
export const mdiTextBox = { url: textBox_, component: TextBox_ };
export const mdiUndo = { url: undo_, component: Undo_ };
export const mdiUnfoldMoreHorizontal = { url: unfoldMoreHorizontal_, component: UnfoldMoreHorizontal_ };
export const mdiUngroup = { url: ungroup_, component: Ungroup_ };
export const mdiVectorPolygonVariant = { url: vectorPolygonVariant_, component: VectorPolygonVariant_ };
export const incrementClozeIcon = { url: incrementCloze_, component: IncrementCloze_ };
export const mdiEarth = { url: earth_, component: Earth_ };
